Bug 235351

Summary: sysutils/getssl: please add dependency to ftp/curl
Product: Ports & Packages Reporter: oz42
Component: Individual Port(s)Assignee: Koichiro Iwao <meta>
Status: Closed FIXED    
Severity: Affects Only Me CC: meta, rainbow
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D17954
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=232918

Description oz42 2019-01-31 12:23:14 UTC
Please add a dependency to ftp/curl. Thanks!
Comment 1 Koichiro Iwao freebsd_committer 2019-02-05 01:36:23 UTC
Why?
Comment 2 Koichiro Iwao freebsd_committer 2019-02-05 01:43:42 UTC
Has runtime dependency on ${PREFIX}/bin/curl.
https://github.com/srvrco/getssl/blob/d0447886c9c1c9b6a566dcd9be9eb0c84773c4f9/getssl#L429
Comment 3 oz42 2019-02-05 07:45:29 UTC
Hmm, my installation went without curl, and getssl was complaining about that.
Comment 4 Koichiro Iwao freebsd_committer 2019-02-05 09:23:36 UTC
(In reply to oz42 from comment #3)

I wanted you to describe why curl is needed and how getssl depends on at first post :)
Comment 5 Rainbow 2019-02-06 00:50:42 UTC
Added in latest diff. Just waiting for someone with a commit bit to review :)
Comment 6 Koichiro Iwao freebsd_committer 2019-02-06 02:58:01 UTC
(In reply to Rainbow from comment #5)
I do.
Comment 7 oz42 2019-02-08 11:11:01 UTC
Just FYI:


root@annie:/usr/ports/sysutils/getssl # make config-recursive
===> Setting user-specified options for getssl-2.10 and dependencies
root@annie:/usr/ports/sysutils/getssl # make
===>  License GPLv3 accepted by the user
===>   getssl-2.10 depends on file: /usr/local/sbin/pkg - found
=> srvrco-getssl-v2.10_GH0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://codeload.github.com/srvrco/getssl/tar.gz/v2.10?dummy=/srvrco-getssl-v2.10_GH0.tar.gz
fetch: https://codeload.github.com/srvrco/getssl/tar.gz/v2.10?dummy=/srvrco-getssl-v2.10_GH0.tar.gz: size unknown
fetch: https://codeload.github.com/srvrco/getssl/tar.gz/v2.10?dummy=/srvrco-getssl-v2.10_GH0.tar.gz: size of remote file is not known
srvrco-getssl-v2.10_GH0.tar.gz                          45 kB  355 kBps    00s
===> Fetching all distfiles required by getssl-2.10 for building
===>  Extracting for getssl-2.10
=> SHA256 Checksum OK for srvrco-getssl-v2.10_GH0.tar.gz.
===>  Patching for getssl-2.10
===>  Configuring for getssl-2.10
===>  Staging for getssl-2.10
===>   getssl-2.10 depends on executable: bash - found
===>   Generating temporary packing list
install  -m 555 /usr/ports/sysutils/getssl/work/getssl-2.10/getssl /usr/ports/sysutils/getssl/work/stage/usr/local/bin
====> Compressing man pages (compress-man)
root@annie:/usr/ports/sysutils/getssl # make install
===>  Installing for getssl-2.10
===>  Checking if getssl is already installed
===>   Registering installation for getssl-2.10
Installing getssl-2.10...
root@annie:/usr/ports/sysutils/getssl # rehash
root@annie:/usr/ports/sysutils/getssl # getssl
getssl: This script requires curl installed
Comment 8 commit-hook freebsd_committer 2019-02-11 14:24:06 UTC
A commit references this bug:

Author: meta
Date: Mon Feb 11 14:23:59 UTC 2019
New revision: 492695
URL: https://svnweb.freebsd.org/changeset/ports/492695

Log:
  sysutils/getssl: add missing RUN_DEPENDS

  ftp/curl and dns/bind-tools are required. Also while here, pet some portlint
  warnings.

  PR:		232918 235351
  Submitted by:	Rainbow <rainbow@sanitylinux.org> (maintainer)
  Reported by:	Andrew <pez_098@yahoo.com>, oz42@oz42.eu
  MFH:		2019Q1
  Differential Revision:	https://reviews.freebsd.org/D17954

Changes:
  head/sysutils/getssl/Makefile
  head/sysutils/getssl/distinfo
Comment 9 Koichiro Iwao freebsd_committer 2019-02-11 14:25:41 UTC
Committed, thanks!
Comment 10 commit-hook freebsd_committer 2019-02-12 05:02:26 UTC
A commit references this bug:

Author: meta
Date: Tue Feb 12 05:01:19 UTC 2019
New revision: 492750
URL: https://svnweb.freebsd.org/changeset/ports/492750

Log:
  MFH: r492695

  sysutils/getssl: add missing RUN_DEPENDS

  ftp/curl and dns/bind-tools are required. Also while here, pet some portlint
  warnings.

  PR:		232918 235351
  Submitted by:	Rainbow <rainbow@sanitylinux.org> (maintainer)
  Reported by:	Andrew <pez_098@yahoo.com>, oz42@oz42.eu
  Differential Revision:	https://reviews.freebsd.org/D17954

  Approved by:	portmgr (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/sysutils/getssl/Makefile
  branches/2019Q1/sysutils/getssl/distinfo